{"components":{"schemas":{"Address":{"properties":{"co":{"description":"Address Co","type":"string"},"communeCode":{"description":"Address Commune Code","format":"int64","type":"integer"},"communeName":{"description":"Address Commune Name","type":"string"},"countryCode":{"description":"Address Country Code","type":"string"},"floor":{"description":"Address Floor","type":"string"},"fritext":{"description":"Address Fritext","type":"string"},"poBox":{"description":"Address PO Box","type":"string"},"postalTown":{"description":"Address Postal Town","type":"string"},"sideDoor":{"description":"Address Side Door","type":"string"},"streetCode":{"description":"Address Street Code","format":"int64","type":"integer"},"streetLetterFrom":{"description":"Address Street Letter From","type":"string"},"streetLetterTo":{"description":"Address Street Letter To","type":"string"},"streetName":{"description":"Address Street Name","type":"string"},"streetNumberFrom":{"description":"Address Street Number From","format":"int64","type":"integer"},"streetNumberTo":{"description":"Address Street Number To","format":"int64","type":"integer"},"town":{"description":"Address Town","type":"string"},"zipcode":{"description":"Address Zipcode","format":"int64","type":"integer"}},"type":"object"},"AssociationRole":{"allOf":[{"$ref":"#/components/schemas/Role"},{"properties":{"companyId":{"description":"CompanyID of the company which the Beneficial owner has control through.","type":"string"},"companyName":{"description":"Name of the company which the Beneficial owner has control through.","type":"string"}},"type":"object"}],"description":"Company which the Beneficial owner has control through","type":"object"},"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"BeneficialOwner":{"properties":{"address":{"$ref":"#/components/schemas/Address"},"fullName":{"description":"Full Name","type":"string"},"roles":{"description":"Roles","items":{"$ref":"#/components/schemas/Role"},"type":"array"}},"type":"object"},"BeneficialOwnersHistoryRecord":{"description":"Historical beneficial owners","properties":{"beneficialOwners":{"description":"Company beneficial owners","items":{"$ref":"#/components/schemas/BeneficialOwner"},"type":"array"},"changeDate":{"description":"Date for the latest change (Date in ISO 8601 standard)","type":"string"},"companyId":{"description":"Company identifier (company registration number / organization number)","type":"string"}},"type":"object"},"BeneficialOwnersHistoryWrapper":{"properties":{"pagination":{"$ref":"#/components/schemas/PaginationInfo"},"records":{"description":"Historical beneficial owners","items":{"$ref":"#/components/schemas/BeneficialOwnersHistoryRecord"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"BeneficialOwnersResult":{"properties":{"beneficialOwners":{"description":"Company beneficial owners","items":{"$ref":"#/components/schemas/BeneficialOwner"},"type":"array"},"changeDate":{"description":"Date for the latest change (Date in ISO 8601 standard)","type":"string"},"companyId":{"description":"Company identifier (company registration number / organization number)","type":"string"},"pagination":{"$ref":"#/components/schemas/PaginationInfo"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"OwnershipRole":{"allOf":[{"$ref":"#/components/schemas/Role"},{"properties":{"beneficialOwner":{"description":"Beneficial owner relation","type":"string"}},"type":"object"}],"type":"object"},"OwnershipTypeDescriptionRole":{"allOf":[{"$ref":"#/components/schemas/Role"},{"properties":{"ownershipTypeDescription":{"description":"Ownership Type description","type":"string"}},"type":"object"}],"type":"object"},"OwnershipTypeRole":{"allOf":[{"$ref":"#/components/schemas/Role"},{"properties":{"ownershipType":{"description":"Ownership Type","type":"string"}},"type":"object"}],"type":"object"},"PaginationInfo":{"properties":{"page":{"format":"int32","type":"integer"},"pageSize":{"format":"int32","type":"integer"},"paginationToken":{"type":"string"},"totalPages":{"format":"int32","type":"integer"},"totalRecords":{"format":"int32","type":"integer"}},"type":"object"},"PercentRole":{"allOf":[{"$ref":"#/components/schemas/Role"},{"properties":{"beneficialOwnershipPercent":{"description":"Beneficial Ownership Percent","type":"string"}},"type":"object"}],"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"Role":{"discriminator":{"propertyName":"type"},"properties":{"isValidFrom":{"description":"Data is valid from date","type":"string"},"type":{"type":"string"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"},"VotePercentRole":{"allOf":[{"$ref":"#/components/schemas/Role"},{"properties":{"ownersVotePercent":{"description":"Beneficial Owner Vote Percent","type":"string"}},"type":"object"}],"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"See which Beneficial Owners a company has.\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Beneficial Owner","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/beneficial-owner-v3.1.svg"}},"openapi":"3.0.1","paths":{"/history/{companyId}":{"get":{"description":"Changes of the company's beneficial owners within specified date range. The range includes \"fromDate\" and excludes \"toDate\".","operationId":"historyCompany","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}},{"description":"beginning of the date range (including), iso 8601 format","in":"query","name":"fromDate","schema":{"type":"string"}},{"description":"ending of the date range (excluding), iso 8601 format","in":"query","name":"toDate","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BeneficialOwnersHistoryWrapper"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Find historical beneficial owners by company id","tags":["BeneficialOwnersDk"]}},"/{companyId}":{"get":{"description":"It supports date parameter to find overview up to date","operationId":"view","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BeneficialOwnersResult"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Get beneficial owners for a company","tags":["BeneficialOwnersDk"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/dk/company/beneficial-owners/1.0"}],"x-category":"company","x-countries":["dk"],"x-id":"BeneficialOwnersApiDk"}